View Issue Details

IDProjectCategoryView StatusLast Update
0028954Open CASCADEOCCT:Visualizationpublic2022-05-16 23:10
Reporteraba Assigned Tobugmaster  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Target Version7.4.0Fixed in Version7.4.0 
Summary0028954: Visualization - implement interactive object AIS_ViewCube for camera manipulations
DescriptionIt is supposed to created interactive object for manipulation of view camera.
It should contain:
- trihedron (three main ares)
- parts for applying main views: front, top, left and so on.
- parts for simple rotation of camera around main axes.
- additional parts for applying intermediate orientations of camera

It is also supposed to apply animation to camera orientation changing.
TagsNo tags attached.
Test case numberv3d/viewcube/default, v3d/viewcube/style, v3d/viewcube/view

Attached Files

  • navigation_cube.png (23,297 bytes)
  • view_cube_styles.png (23,339 bytes)
  • cadass_viewcube2.png (38,214 bytes)

Relationships

parent of 0030854 closedbugmaster Open CASCADE Visualization, AIS_ViewCube - pack triangulations into common array(s) 
parent of 0030923 closedapn Open CASCADE Visualization, AIS_ViewCube - avoid mixing non-zoomable text and trihedron-persistence 
parent of 0030939 closedbugmaster Open CASCADE Draw Harness, ViewerTest - AIS_ViewCube animation does not work on Linux and macOS 
parent of 0031085 closedbugmaster Open CASCADE Visualization - possibility to use BRep text in AIS_ViewCube 
parent of 0032976 verifiedkgv Open CASCADE Visualization - AIS_InteractiveContext::FitSelected() includes objects invisible in current View 
related to 0030850 closedbugmaster Open CASCADE Visualization, OpenGl_Text - text within trihedron persistence jitters when camera is far from origin 

Activities

git

2017-09-08 15:35

administrator   ~0070368

Branch CR28954 has been created by aba.

SHA-1: 755150be0c5a2bcbf21d3726a6dd7a34fb1dcc5d


Detailed log of new commits:

Author: aba
Date: Fri Sep 8 15:35:05 2017 +0300

    0028954: Visualization - implement interactive object for camera manipulations

kgv

2018-10-23 14:08

developer  

navigation_cube.png (23,297 bytes)

git

2019-07-03 12:38

administrator   ~0085402

Branch CR28954_1 has been created by kgv.

SHA-1: a18d11ceff35359283cd0046cb8afb558ad53c6f


Detailed log of new commits:

Author: kgv
Date: Wed Jul 3 12:37:36 2019 +0300

    0028954: Visualization - implement interactive object for camera manipulations
    
    Added new class AIS_ViewCube implementing interactive cube displaying orientation of the main axes of the model space in the viewer.
    Each side, edge, or corner of the cube corresponds to particular orientation of the camera, and the class provides methods to move the camera to corresponding position (with animation if needed).
    
    DRAW command vviewcube is added to use the cube in DRAW.

git

2019-07-03 15:00

administrator   ~0085404

Branch CR28954_1 has been updated forcibly by kgv.

SHA-1: 4e1f5e2ed572dc463ce022e3886b0ceccd16c559

git

2019-07-03 17:34

administrator   ~0085406

Branch CR28954_1 has been updated forcibly by kgv.

SHA-1: e8b4006bd3330a2c72660d6081ef01a26e34a8e3

git

2019-07-03 17:45

administrator   ~0085407

Branch CR28954_1 has been updated forcibly by kgv.

SHA-1: 1c9cd31a59979a0342649ad97fc0285771d0d49b

git

2019-07-03 17:58

administrator   ~0085408

Branch CR28954_1 has been updated forcibly by kgv.

SHA-1: 49dbadfeaf4180475656ff00cfffbf85a637ff08

git

2019-07-03 18:11

administrator   ~0085410

Branch CR28954_1 has been updated forcibly by kgv.

SHA-1: f9a3201a73531ca2e3f37f536988ef9261c62108

git

2019-07-03 18:15

administrator   ~0085411

Branch CR28954_1 has been updated forcibly by kgv.

SHA-1: fab6ee71e16af180f685c19cfd770a3073390744

git

2019-07-03 18:26

administrator   ~0085412

Branch CR28954_1 has been updated forcibly by kgv.

SHA-1: 790e737ebd7237772ab00166bf02e8b62a90a0ee

git

2019-07-04 17:58

administrator   ~0085433

Branch CR28954_2 has been created by kgv.

SHA-1: d5422d51aa4643c9a62aece83f63e4fd05e69e22


Detailed log of new commits:

Author: kgv
Date: Wed Jul 3 12:37:36 2019 +0300

    0028954: Visualization - implement interactive object for camera manipulations
    
    Added new class AIS_ViewCube implementing interactive cube
    displaying orientation of the main axes of the model space in the viewer.
    Each side, edge, or corner of the cube corresponds to particular orientation of the camera,
    and the class provides methods to move the camera to corresponding position (with animation if needed).
    
    New command vviewcube has been added.

git

2019-07-04 17:59

administrator   ~0085434

Branch CR28954_2 has been updated forcibly by kgv.

SHA-1: b9d56df5f37bb38394667bc99400c2dec99ce623

git

2019-07-08 22:50

administrator   ~0085501

Branch CR28954_3 has been created by kgv.

SHA-1: beae40ba666ddae69d15bbde3f885b54ac71c31b


Detailed log of new commits:

Author: aba
Date: Wed Jul 3 12:37:36 2019 +0300

    0028954: Visualization - implement interactive object for camera manipulations
    
    Added new class AIS_ViewCube implementing interactive cube
    displaying orientation of the main axes of the model space in the viewer.
    Each side, edge, or corner of the cube corresponds to particular orientation of the camera,
    and the class provides methods to move the camera to corresponding position (with animation if needed).
    
    New command vviewcube has been added.

git

2019-07-08 22:53

administrator   ~0085502

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: dd3cbeebfd92984d622d5201d116c49fde888c8b

git

2019-07-08 23:08

administrator   ~0085503

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: 3941959788a134b65a6e6b0c97c6ad39fdb730c4

git

2019-07-08 23:52

administrator   ~0085504

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: db9feba0ac593f603985f34341f7c1e1ca7e9719

git

2019-07-09 14:25

administrator   ~0085506

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: 0d980548855d6e453af286880a67c94f9c0bbc62

git

2019-07-09 15:30

administrator   ~0085510

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: 52760177958fab7b2057bec8a65c75045a09e678

git

2019-07-09 15:47

administrator   ~0085511

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: 6b121099faea0170f866931b81045bece60bc24c

git

2019-07-09 16:04

administrator   ~0085512

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: 732f2fdb8d19dac6529d056ad8ee986094b99c23

git

2019-07-09 16:07

administrator   ~0085513

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: 14f706f4cdb4c5efe40047327ab18e52e1220b07

git

2019-07-09 16:53

administrator   ~0085521

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: 824ec7d9e84e6a008b488414eefcaeed7cc1f6e9

git

2019-07-09 17:20

administrator   ~0085522

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: d1ae47c7ebc48eb6146aab690799e9d268b4f7c1

git

2019-07-09 17:26

administrator   ~0085523

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: 440ab2abfe5709c8cfbf1bcc9160189f4cf0524b

git

2019-07-09 18:43

administrator   ~0085532

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: 0cc2c800994705c23922eca44ec37950c248dbcf

git

2019-07-09 19:39

administrator   ~0085534

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: 6016077577a3d0c743286593a2bf091f5a440240

git

2019-07-09 19:40

administrator   ~0085535

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: ac806ab2491af801921d17b87d416dc5d737c7c3

git

2019-07-09 19:47

administrator   ~0085537

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: 707a2f79789389b9ff39965b1f6665f6392eeba8

git

2019-07-09 19:51

administrator   ~0085538

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: 390edec498938e309c34c8860020125f2206f80a

kgv

2019-07-09 19:51

developer  

view_cube_styles.png (23,339 bytes)

git

2019-07-10 08:02

administrator   ~0085541

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: 74c455fddfc16d7873e924a2367cd71ee2d2e85f

git

2019-07-10 08:04

administrator   ~0085542

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: abbfcf656330511784e1856a8a0c2ec1bf7d1793

git

2019-07-10 09:39

administrator   ~0085543

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: 328f4e4ef0b7fc8ac6a11cbbf1533df60192a20d

git

2019-07-10 09:41

administrator   ~0085544

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: fdb14f18e73643c52cc4102240dd782b62df307c

git

2019-07-10 10:16

administrator   ~0085545

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: f3d4661861259c540cd79f2861db3986db0dfdb3

git

2019-07-10 18:04

administrator   ~0085561

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: c3e717dd61bab072d0bddb782326f6b87fa30fe1

git

2019-07-10 19:55

administrator   ~0085567

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: f0177c2cd26f5cdcb01fcf2c1aa1d6a2b39a1163

git

2019-07-10 20:10

administrator   ~0085568

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: 00d639a2e1d1b775f5242dd8fd89e6c95bc61c8d

kgv

2019-07-10 20:53

developer   ~0085569

Patch is ready for review.

Note that some functionality has been removed from the final patch - can be extended in scope of dedicated issue.

git

2019-07-10 21:20

administrator   ~0085571

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: 4c2ca3f74bd97d385a996c5a163a9e93e7de4305

git

2019-07-10 21:22

administrator   ~0085572

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: 1eff2457a634a11332f41730122674b12e45ab4d

git

2019-07-10 22:28

administrator   ~0085575

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: 02be5a1ddd42c4a0070be72429f8f76bae0a734f

kgv

2019-07-10 22:50

developer  

cadass_viewcube2.png (38,214 bytes)

git

2019-07-10 22:56

administrator   ~0085576

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: ba0170ab741c86ebeab234cc3b31b9750994a03a

git

2019-07-15 10:29

administrator   ~0085626

Branch CR28954_3 has been updated forcibly by kgv.

SHA-1: 491bdca6da2da265288ee54ae9a23dcd93d9d4ed

osa

2019-07-16 16:16

developer   ~0085671

Please remove unused myArrowAspect and all associated methods.

And override SetMaterial() for AIS_ViewCube.

git

2019-07-16 19:27

administrator   ~0085679

Branch CR28954_4 has been created by kgv.

SHA-1: 50536044249694481b14b7590cdd559078fa83f0


Detailed log of new commits:

Author: aba
Date: Wed Jul 3 12:37:36 2019 +0300

    0028954: Visualization - implement interactive object for camera manipulations
    
    Added new class AIS_ViewCube implementing interactive cube
    displaying orientation of the main axes of the model space in the viewer.
    Each side, edge, or corner of the cube corresponds to particular orientation of the camera,
    and the class provides methods to move the camera to corresponding position (with animation if needed).
    
    AIS_InteractiveContext::LastActiveView(), added new property returning the last View processed by MoveTo() event.
    AIS_InteractiveContext::BoundingBoxOfSelection(), added method returning bounding box of selected objects.
    SelectMgr_EntityOwner::HandleMouseClick(), added new callback for handling
    mouse clicks by owner itself without automatic highlighting and clearing previous selection.
    Called by AIS_InteractiveContext::Select() method.
    
    AIS_ViewController::ViewAnimation() has been extened with camera animation propery,
    which can be bound to AIS_ViewCube for smooth embedding into event loop.
    
    Prs3d_ToolDisk has been extended with parameters specifying angle range.
    Graphic3d_MaterialAspect now initializes all coefficients to 1.0
    when Graphic3d_NOM_UserDefined is passed to class constructor.
    AIS_AnimationCamera::update() now sets the end camera position if animation duration is 0.
    Prs3d_DatumAspect, added missing setters.
    
    New command vviewcube has been added.

kgv

2019-07-16 19:28

developer   ~0085680

Patch has been updated.

osa

2019-07-17 17:35

developer   ~0085712

The patch CR28954_4 was reviewed

bugmaster

2019-07-17 18:42

administrator   ~0085718

Combination -
OCCT branch : CR28954_3
master SHA - ac806ab2491af801921d17b87d416dc5d737c7c3
32ce09545dc9c46a47a51a964a24b1f472e6c2c4
Products branch : master SHA - 6d555d975ac49f5519dfbbf3873dbbc4a0cadff1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16482.27000000008 / 16486.54000000006 [-0.03%]
Products
Total CPU difference: 10528.240000000056 / 10487.700000000032 [+0.39%]
Windows-64-VC14:
OCCT
Total CPU difference: 17875.609375 / 17846.84375 [+0.16%]
Products
Total CPU difference: 12114.453125 / 12107.109375 [+0.06%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

bugmaster

2019-07-18 10:17

administrator   ~0085734

Problem of compilation by vc9,vc10,vc11 32/64 bit mode
Errors:
http://jenkins-test-08.nnov.opencascade.com/view/WEEK-29_WEEK-29/view/OCCT%20compile/job/WEEK-29_WEEK-29-OCCT-Windows-64-VC10-opt-compile/3/parsed_console/
http://jenkins-test-08.nnov.opencascade.com/view/WEEK-29_WEEK-29/view/OCCT%20compile/job/WEEK-29_WEEK-29-OCCT-Windows-64-VC9-opt-compile/3/parsed_console/

Common information
http://jenkins-test-08.nnov.opencascade.com/view/WEEK-29_WEEK-29/view/OCCT%20compile/

git

2019-07-18 11:05

administrator   ~0085738

Branch CR28954_4 has been updated by kgv.

SHA-1: 22d381255e320cf62b6e8dea4420439d5b536272


Detailed log of new commits:

Author: kgv
Date: Thu Jul 18 11:02:39 2019 +0300

    # fix vc10 compilation issues

git

2019-07-18 11:06

administrator   ~0085739

Branch CR28954_5 has been created by kgv.

SHA-1: d085b7439ebea13b1ddce556e7bd67711aa71f4e


Detailed log of new commits:

Author: aba
Date: Wed Jul 3 12:37:36 2019 +0300

    0028954: Visualization - implement interactive object for camera manipulations
    
    Added new class AIS_ViewCube implementing interactive cube
    displaying orientation of the main axes of the model space in the viewer.
    Each side, edge, or corner of the cube corresponds to particular orientation of the camera,
    and the class provides methods to move the camera to corresponding position (with animation if needed).
    
    AIS_InteractiveContext::LastActiveView(), added new property returning the last View processed by MoveTo() event.
    AIS_InteractiveContext::BoundingBoxOfSelection(), added method returning bounding box of selected objects.
    SelectMgr_EntityOwner::HandleMouseClick(), added new callback for handling
    mouse clicks by owner itself without automatic highlighting and clearing previous selection.
    Called by AIS_InteractiveContext::Select() method.
    
    AIS_ViewController::ViewAnimation() has been extened with camera animation propery,
    which can be bound to AIS_ViewCube for smooth embedding into event loop.
    
    Prs3d_ToolDisk has been extended with parameters specifying angle range.
    Graphic3d_MaterialAspect now initializes all coefficients to 1.0
    when Graphic3d_NOM_UserDefined is passed to class constructor.
    AIS_AnimationCamera::update() now sets the end camera position if animation duration is 0.
    Prs3d_DatumAspect, added missing setters.
    
    New command vviewcube has been added.

kgv

2019-07-18 11:07

developer   ~0085740

> Problem of compilation by vc9,vc10,vc11 32/64 bit mode
Please check updated patch.

git

2019-07-18 13:37

administrator   ~0085761

Branch CR28954_5 has been updated forcibly by kgv.

SHA-1: 5e3e9cfedf9635cad3920e97296ff8cddc9ca1aa

kgv

2019-07-18 13:37

developer   ~0085762

Sorry for unused argument warning - should be fixed now.

git

2019-07-20 11:55

administrator   ~0085828

Branch CR28954 has been deleted by inv.

SHA-1: 755150be0c5a2bcbf21d3726a6dd7a34fb1dcc5d

git

2019-07-20 11:55

administrator   ~0085829

Branch CR28954_1 has been deleted by inv.

SHA-1: 790e737ebd7237772ab00166bf02e8b62a90a0ee

git

2019-07-20 11:55

administrator   ~0085830

Branch CR28954_2 has been deleted by inv.

SHA-1: b9d56df5f37bb38394667bc99400c2dec99ce623

git

2019-07-20 11:55

administrator   ~0085831

Branch CR28954_3 has been deleted by inv.

SHA-1: 491bdca6da2da265288ee54ae9a23dcd93d9d4ed

git

2019-07-20 11:55

administrator   ~0085832

Branch CR28954_4 has been deleted by inv.

SHA-1: 22d381255e320cf62b6e8dea4420439d5b536272

git

2019-07-20 11:55

administrator   ~0085833

Branch CR28954_5 has been deleted by inv.

SHA-1: 5e3e9cfedf9635cad3920e97296ff8cddc9ca1aa

Related Changesets

occt: master 2108d9a2

2019-07-03 09:37:36

aba


Committer: bugmaster Details Diff
0028954: Visualization - implement interactive object for camera manipulations

Added new class AIS_ViewCube implementing interactive cube
displaying orientation of the main axes of the model space in the viewer.
Each side, edge, or corner of the cube corresponds to particular orientation of the camera,
and the class provides methods to move the camera to corresponding position (with animation if needed).

AIS_InteractiveContext::LastActiveView(), added new property returning the last View processed by MoveTo() event.
AIS_InteractiveContext::BoundingBoxOfSelection(), added method returning bounding box of selected objects.
SelectMgr_EntityOwner::HandleMouseClick(), added new callback for handling
mouse clicks by owner itself without automatic highlighting and clearing previous selection.
Called by AIS_InteractiveContext::Select() method.

AIS_ViewController::ViewAnimation() has been extened with camera animation propery,
which can be bound to AIS_ViewCube for smooth embedding into event loop.

Prs3d_ToolDisk has been extended with parameters specifying angle range.
Graphic3d_MaterialAspect now initializes all coefficients to 1.0
when Graphic3d_NOM_UserDefined is passed to class constructor.
AIS_AnimationCamera::update() now sets the end camera position if animation duration is 0.
Prs3d_DatumAspect, added missing setters.

New command vviewcube has been added.
Affected Issues
0028954
mod - src/AIS/AIS_AnimationCamera.cxx Diff File
mod - src/AIS/AIS_AnimationCamera.hxx Diff File
mod - src/AIS/AIS_InteractiveContext.cxx Diff File
mod - src/AIS/AIS_InteractiveContext.hxx Diff File
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff File
mod - src/AIS/AIS_ViewController.cxx Diff File
mod - src/AIS/AIS_ViewController.hxx Diff File
add - src/AIS/AIS_ViewCube.cxx Diff File
add - src/AIS/AIS_ViewCube.hxx Diff File
mod - src/AIS/FILES Diff File
mod - src/Graphic3d/Graphic3d_MaterialAspect.cxx Diff File
mod - src/Prs3d/Prs3d_DatumAspect.hxx Diff File
mod - src/Prs3d/Prs3d_ToolDisk.cxx Diff File
mod - src/Prs3d/Prs3d_ToolDisk.hxx Diff File
mod - src/SelectMgr/SelectMgr_EntityOwner.hxx Diff File
mod - src/ViewerTest/ViewerTest_EventManager.cxx Diff File
mod - src/ViewerTest/ViewerTest_EventManager.hxx Diff File
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff File
mod - tests/v3d/grids.list Diff File
add - tests/v3d/viewcube/default Diff File
add - tests/v3d/viewcube/style Diff File
add - tests/v3d/viewcube/view Diff File

Issue History

Date Modified Username Field Change
2017-07-27 17:13 aba New Issue
2017-07-27 17:13 aba Assigned To => aba
2017-07-27 17:32 kgv Severity minor => feature
2017-07-27 17:32 kgv Product Version 7.1.0 =>
2017-09-08 15:35 git Note Added: 0070368
2018-10-23 14:08 kgv File Added: navigation_cube.png
2019-07-03 12:38 git Note Added: 0085402
2019-07-03 15:00 git Note Added: 0085404
2019-07-03 17:34 git Note Added: 0085406
2019-07-03 17:45 git Note Added: 0085407
2019-07-03 17:58 git Note Added: 0085408
2019-07-03 18:11 git Note Added: 0085410
2019-07-03 18:15 git Note Added: 0085411
2019-07-03 18:26 git Note Added: 0085412
2019-07-04 17:58 git Note Added: 0085433
2019-07-04 17:59 git Note Added: 0085434
2019-07-05 10:02 asl File Added: FastMesh_v2.docx
2019-07-05 10:03 asl File Deleted: FastMesh_v2.docx
2019-07-08 22:50 git Note Added: 0085501
2019-07-08 22:53 git Note Added: 0085502
2019-07-08 23:08 git Note Added: 0085503
2019-07-08 23:52 git Note Added: 0085504
2019-07-09 14:25 git Note Added: 0085506
2019-07-09 15:30 git Note Added: 0085510
2019-07-09 15:47 git Note Added: 0085511
2019-07-09 16:04 git Note Added: 0085512
2019-07-09 16:07 git Note Added: 0085513
2019-07-09 16:53 git Note Added: 0085521
2019-07-09 17:20 git Note Added: 0085522
2019-07-09 17:26 git Note Added: 0085523
2019-07-09 18:43 git Note Added: 0085532
2019-07-09 18:44 kgv Summary Visualization - implement interactive object for camera manipulations => Visualization - implement interactive object AIS_ViewCube for camera manipulations
2019-07-09 19:39 git Note Added: 0085534
2019-07-09 19:40 git Note Added: 0085535
2019-07-09 19:47 git Note Added: 0085537
2019-07-09 19:51 git Note Added: 0085538
2019-07-09 19:51 kgv File Added: view_cube_styles.png
2019-07-09 19:52 kgv Assigned To aba => kgv
2019-07-09 19:52 kgv Status new => assigned
2019-07-10 08:02 git Note Added: 0085541
2019-07-10 08:04 git Note Added: 0085542
2019-07-10 09:39 git Note Added: 0085543
2019-07-10 09:41 git Note Added: 0085544
2019-07-10 10:16 git Note Added: 0085545
2019-07-10 18:04 git Note Added: 0085561
2019-07-10 19:55 git Note Added: 0085567
2019-07-10 20:10 git Note Added: 0085568
2019-07-10 20:53 kgv Note Added: 0085569
2019-07-10 20:53 kgv Assigned To kgv => osa
2019-07-10 20:53 kgv Status assigned => resolved
2019-07-10 21:06 kgv File Added: cadass_viewcube.png
2019-07-10 21:20 git Note Added: 0085571
2019-07-10 21:22 git Note Added: 0085572
2019-07-10 22:28 git Note Added: 0085575
2019-07-10 22:49 kgv File Deleted: cadass_viewcube.png
2019-07-10 22:50 kgv File Added: cadass_viewcube2.png
2019-07-10 22:56 git Note Added: 0085576
2019-07-15 10:29 git Note Added: 0085626
2019-07-16 16:16 osa Note Added: 0085671
2019-07-16 16:16 osa Assigned To osa => kgv
2019-07-16 16:16 osa Status resolved => assigned
2019-07-16 19:27 git Note Added: 0085679
2019-07-16 19:28 kgv Note Added: 0085680
2019-07-16 19:28 kgv Assigned To kgv => osa
2019-07-16 19:28 kgv Status assigned => resolved
2019-07-17 17:35 osa Note Added: 0085712
2019-07-17 17:35 osa Assigned To osa => bugmaster
2019-07-17 17:35 osa Status resolved => reviewed
2019-07-17 18:41 bugmaster Test case number => v3d/viewcube/default, v3d/viewcube/style, v3d/viewcube/view
2019-07-17 18:42 bugmaster Note Added: 0085718
2019-07-17 18:42 bugmaster Status reviewed => tested
2019-07-17 23:38 kgv Relationship added related to 0030850
2019-07-18 10:17 bugmaster Note Added: 0085734
2019-07-18 10:17 bugmaster Assigned To bugmaster => kgv
2019-07-18 10:17 bugmaster Status tested => assigned
2019-07-18 11:05 git Note Added: 0085738
2019-07-18 11:06 git Note Added: 0085739
2019-07-18 11:07 kgv Note Added: 0085740
2019-07-18 11:07 kgv Assigned To kgv => bugmaster
2019-07-18 11:07 kgv Status assigned => resolved
2019-07-18 11:07 kgv Status resolved => reviewed
2019-07-18 13:37 git Note Added: 0085761
2019-07-18 13:37 kgv Note Added: 0085762
2019-07-19 14:42 bugmaster Status reviewed => tested
2019-07-20 11:42 bugmaster Changeset attached => occt master 2108d9a2
2019-07-20 11:42 bugmaster Status tested => verified
2019-07-20 11:42 bugmaster Resolution open => fixed
2019-07-20 11:55 git Note Added: 0085828
2019-07-20 11:55 git Note Added: 0085829
2019-07-20 11:55 git Note Added: 0085830
2019-07-20 11:55 git Note Added: 0085831
2019-07-20 11:55 git Note Added: 0085832
2019-07-20 11:55 git Note Added: 0085833
2019-07-26 10:00 kgv Relationship added parent of 0030854
2019-08-27 14:34 kgv Relationship added parent of 0030923
2019-09-04 09:39 kgv Relationship added parent of 0030939
2019-10-19 12:41 kgv Relationship added parent of 0031085
2022-05-16 23:10 kgv Relationship added parent of 0032976